import type { SvelteComponent } from 'svelte';
import { BaseFilter } from '../../types';
export default abstract class SvelteFilterImpl<Options> extends BaseFilter<Options> {
    protected abstract getSvelteComponentClass(): typeof SvelteComponent;
    private svelteComponent;
    private filterListener;
    protected onCreate(): void;
    protected onHandleFilterUpdated(): void;
    protected onOptionsUpdated(): void;
    protected onDestroy(): void;
}
